# =========================================================================== #
# Gemspec for Project ShowRdocDocu.
# =========================================================================== #
require 'show_rdoc_docu'

Gem::Specification.new { |s|

  s.name    = 'show_rdoc_docu'
  s.version = ShowRdocDocu::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')

  s.summary = <<-EOF

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF

  s.description = <<-EOF

    This library is called show_rdoc_docu.

  EOF

  s.extra_rdoc_files = %w()
  
  s.authors    = ['Robert A. Heiler']
  s.email      = 'shevegen@gmail.com'
  s.files      = Dir['**/*']
  if File.exist? 'USAGE.md'
    s.files     << 'USAGE.md'
  end
  s.license    = 'GPL-2.0'
  s.homepage   = 'https://rubygems.org/gems/show_rdoc_docu'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # Dependencies for the project:
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'opn'

}